Bug 8550 - stack overflow on *.rpm with 121 008 objects
: stack overflow on *.rpm with 121 008 objects
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-06 20:12 MSK by Sergei Trusov
Modified: 2017-12-12 05:19 MSK (History)
2 users (show)

See Also:
RPM Package: rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trusov 2017-12-06 20:12:52 MSK
Description of problem:

urpmi crashes when a package contains too many objects.

Version-Release number of selected component (if applicable):

rpm5.4.10-76

How reproducible:

Allways

Steps to Reproduce:
1. download rospo-icon-theme-1.8-5-rosa2016.1.noarch.rpm
 from https://abf.io/build_lists/2914233
2. urpmi ./rospo-icon-theme-1.8-5-rosa2016.1.noarch.rpm
Comment 1 Sergei Trusov 2017-12-06 20:32:37 MSK
Advisory: "Update rpm to fix this issue"

https://abf.io/build_lists/2914446
https://abf.io/build_lists/2914447
Comment 2 Vladimir Potapov 2017-12-07 18:06:21 MSK
The update is sent to expanded testing
**************************************
Comment 3 Vladimir Potapov 2017-12-11 19:24:50 MSK
rpm-5.4.10-77
https://abf.io/build_lists/2914446
https://abf.io/build_lists/2914447
******************************* Advisory ***************************
Update rpm to fix crash with many objects
********************************************************************
QA Verified